osg::TriangleLinePointIndexFunctor< T > Class Template Reference

`#include <TriangleLinePointIndexFunctor>`

Inheritance diagram for osg::TriangleLinePointIndexFunctor< T >:

## Public Member Functions

virtual void | setVertexArray (unsigned int, const osg::Vec2 *)
virtual void | setVertexArray (unsigned int, const osg::Vec3 *)
virtual void | setVertexArray (unsigned int, const osg::Vec4 *)
virtual void | setVertexArray (unsigned int, const osg::Vec2d *)
virtual void | setVertexArray (unsigned int, const osg::Vec3d *)
virtual void | setVertexArray (unsigned int, const osg::Vec4d *)
virtual void | begin (GLenum mode)
virtual void | vertex (unsigned int vert)
virtual void | end ()
virtual void | drawArrays (GLenum mode, GLint first, GLsizei count)
template<typename I>
void | drawElements (GLenum mode, GLsizei count, const I *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLubyte *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLushort *indices)
virtual void | drawElements (GLenum mode, GLsizei count, const GLuint *indices)
Public Member Functions inherited from osg::PrimitiveIndexFunctor
virtual | ~PrimitiveIndexFunctor ()

## Public Attributes

GLenum | _modeCache
std::vector< GLuint > | _indexCache
std::vector< unsigned int > | _remap

## Member Function Documentation

## begin()

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::begin | ( | GLenum | mode | ) |

inline virtual

References _indexCache, and _modeCache.

## drawArrays()

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::drawArrays | ( | GLenum | mode,
|  | GLint | first,
|  | GLsizei | count )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## drawElements() [1/4]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLubyte * | indices )

inline virtual

Implements osg::PrimitiveIndexFunctor.

References drawElements().

## drawElements() [2/4]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLuint * | indices )

inline virtual

Implements osg::PrimitiveIndexFunctor.

References drawElements().

## drawElements() [3/4]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const GLushort * | indices )

inline virtual

Implements osg::PrimitiveIndexFunctor.

References drawElements().

## drawElements() [4/4]

template<class T>
template<typename I>

void osg::TriangleLinePointIndexFunctor< T >::drawElements | ( | GLenum | mode,
|  | GLsizei | count,
|  | const I * | indices )

inline

Referenced by drawElements(), drawElements(), drawElements(), and end().

## end()

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::end | ( |  | ) |

inline virtual

References _indexCache, _modeCache, and drawElements().

## setVertexArray() [1/6]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec2 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [2/6]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec2d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [3/6]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec3 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [4/6]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec3d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [5/6]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec4 * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## setVertexArray() [6/6]

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::setVertexArray | ( | unsigned int | ,
|  | const osg::Vec4d * | )

inline virtual

Implements osg::PrimitiveIndexFunctor.

## vertex()

template<class T>

virtual void osg::TriangleLinePointIndexFunctor< T >::vertex | ( | unsigned int | vert | ) |

inline virtual

References _indexCache.

## Member Data Documentation

## _indexCache

template<class T>

std::vector<GLuint> osg::TriangleLinePointIndexFunctor< T >::_indexCache

Referenced by begin(), end(), and vertex().

## _modeCache

template<class T>

GLenum osg::TriangleLinePointIndexFunctor< T >::_modeCache

Referenced by begin(), and end().

## _remap

template<class T>

std::vector<unsigned int> osg::TriangleLinePointIndexFunctor< T >::_remap

The documentation for this class was generated from the following file:

- TriangleLinePointIndexFunctor